<div class="addContainer">
    <div class="modalHeader">
        <div class="editRowModal">
            <div class="modalHeader clearfix">
                <div class="modal-about">
                    <div class="font-weight-bold p-t-5 p-l-10 font-17">
                        {{dialogTitle}}</div>
                </div>
            </div>
        </div>
        <button mat-icon-button (click)="dialogRef.close()" aria-label="Close dialog">
            <mat-icon>close</mat-icon>
        </button>
    </div>
    <div mat-dialog-content>
        <form class="register-form m-4" [formGroup]="CategoriaForm">
            <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-2">
                    <mat-form-field class="example-full-width" appearance="outline">
                        <mat-label>Nombre Categoria</mat-label>
                        <input matInput formControlName="Nombre" required>
                        <mat-icon matSuffix>assignment</mat-icon>
                        <mat-error *ngIf="CategoriaForm.get('Nombre').hasError('required')">
                            Nombre categoria es requerido
                        </mat-error>
                    </mat-form-field>
                </div>
            </div>
            <div class="row">
                <div class="col-xl-6 col-lg-6 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width" appearance="outline">
                    <mat-select required formControlName="idClinica">
                      <mat-option *ngFor="let clinica of clinicas" value="{{clinica.idClinicas}}">{{clinica.NombreClinica}}</mat-option>
                    </mat-select>
                      <mat-error *ngIf="CategoriaForm.get('idClinica').hasError('required')">
                        La clinica es requerida
                      </mat-error>
                    <mat-label>
                      Clinica
                    </mat-label>
                  </mat-form-field>
                </div>
              </div>
            <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-2">
                    <div class="example-button-row">
                        <button *ngIf="this.action=='editar'" mat-raised-button color="primary" [disabled]="!CategoriaForm.valid" [mat-dialog-close]="1" (click)="submit()">Actualizar</button>
                        <button *ngIf="this.action!='editar'" mat-raised-button color="primary" [disabled]="!CategoriaForm.valid" [mat-dialog-close]="1" (click)="NuevaCategoria()">Guardar</button>
                        <button mat-raised-button color="warn" (click)="onNoClick()" tabindex="-1">Cancel</button>
                    </div>
                </div>
            </div>
        </form>
    </div>
</div>